> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfolt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a bulk payout

> Creates a bulk payout from JSON records; bank submission happens after approval



## OpenAPI

````yaml https://dfolt.com/openapi.json post /v1/bulk-payouts
openapi: 3.1.0
info:
  description: ACore B2B banking API
  title: ACore API
  version: 0.0.1
servers:
  - url: https://api.dfolt.com
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v1/bulk-payouts:
    post:
      tags:
        - Bulk Payouts
      summary: Create a bulk payout
      description: >-
        Creates a bulk payout from JSON records; bank submission happens after
        approval
      operationId: createBulkPayout
      parameters:
        - description: Response format
          in: header
          name: Accept
          required: true
          schema:
            default: application/json
            enum:
              - application/json
            type: string
        - description: Idempotency key, alphanumeric
          in: header
          name: X-Idempotency-Key
          schema:
            maxLength: 50
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/interfaces_api.CreateBulkPayoutReq'
              summary: request
              description: Bulk payout details
        description: Bulk payout details
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/data'
                properties:
                  data: {}
                  debug_id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/acore_internal_application_x.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
components:
  schemas:
    interfaces_api.CreateBulkPayoutReq:
      properties:
        connection_id:
          type: string
        currency:
          type: string
        multi_debit:
          type: boolean
        records:
          items:
            $ref: '#/components/schemas/acore_internal_domain_bulkpayout.PayoutRecord'
          maxItems: 500
          minItems: 1
          type: array
          uniqueItems: false
      required:
        - connection_id
        - currency
        - records
      type: object
    data:
      properties:
        data:
          $ref: '#/components/schemas/interfaces_api.CreateSadadResp'
      type: object
    acore_internal_application_x.ErrResponse:
      properties:
        code:
          type: integer
        debug_id:
          type: string
        error:
          type: boolean
        fields:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
      type: object
    acore_internal_domain_bulkpayout.PayoutRecord:
      properties:
        amount:
          type: number
        beneficiary_address_1:
          maxLength: 35
          type: string
        beneficiary_address_2:
          maxLength: 35
          type: string
        beneficiary_iban:
          type: string
        beneficiary_name:
          maxLength: 35
          type: string
        debit_account:
          maxLength: 34
          type: string
        debtor_address_1:
          maxLength: 35
          type: string
        debtor_address_2:
          maxLength: 35
          type: string
        debtor_address_3:
          maxLength: 35
          type: string
        debtor_name:
          maxLength: 35
          type: string
        narrative:
          maxLength: 50
          type: string
        purpose_code:
          maxLength: 4
          type: string
        value_date:
          type: string
      required:
        - amount
        - beneficiary_iban
        - beneficiary_name
        - value_date
      type: object
    interfaces_api.CreateSadadResp:
      properties:
        reference_id:
          type: string
        status:
          type: string
        transaction_type:
          type: string
      type: object
  securitySchemes:
    APIKey:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.